/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf) * dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) => dvec2(np.float64(-1.072)lf, np.float64(1.047)lf)
 * (dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf) * dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) => dvec2(np.float64(-0.30720000000000003)lf, np.float64(-1.1225999999999998)lf)
 * (dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf) * dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) => dvec2(np.float64(1.057)lf, np.float64(-1.5399999999999998)lf)
 * (dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf) * dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) => dvec2(np.float64(-0.363)lf, np.float64(1.26)lf)
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[distance((dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf) * dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)), dvec2(np.float64(-1.072)lf, np.float64(1.047)lf)) <= np.float64(1.4984635464368162e-05)lf ? 1 : -1] array0;
  double[distance((dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf) * dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)), dvec2(np.float64(-0.30720000000000003)lf, np.float64(-1.1225999999999998)lf)) <= np.float64(1.16387396224849e-05)lf ? 1 : -1] array1;
  double[distance((dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf) * dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)), dvec2(np.float64(1.057)lf, np.float64(-1.5399999999999998)lf)) <= np.float64(1.8678460857361882e-05)lf ? 1 : -1] array2;
  double[distance((dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf) * dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)), dvec2(np.float64(-0.363)lf, np.float64(1.26)lf)) <= np.float64(1.3112471162980685e-05)lf ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
