/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * round(np.float64(-2.0)lf) => np.float64(-2.0)lf
 * round(np.float64(-1.4285714285714286)lf) => np.float64(-1.0)lf
 * round(np.float64(-0.8571428571428572)lf) => np.float64(-1.0)lf
 * round(np.float64(-0.2857142857142858)lf) => np.float64(-0.0)lf
 * round(np.float64(0.2857142857142856)lf) => np.float64(0.0)lf
 * round(np.float64(0.8571428571428568)lf) => np.float64(1.0)lf
 * round(np.float64(1.4285714285714284)lf) => np.float64(1.0)lf
 * round(np.float64(2.0)lf) => np.float64(2.0)lf
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[distance(round(np.float64(-2.0)lf), np.float64(-2.0)lf) <= np.float64(2e-05)lf ? 1 : -1] array0;
  double[distance(round(np.float64(-1.4285714285714286)lf), np.float64(-1.0)lf) <= np.float64(1e-05)lf ? 1 : -1] array1;
  double[distance(round(np.float64(-0.8571428571428572)lf), np.float64(-1.0)lf) <= np.float64(1e-05)lf ? 1 : -1] array2;
  double[distance(round(np.float64(-0.2857142857142858)lf), np.float64(-0.0)lf) <= np.float64(0.0)lf ? 1 : -1] array3;
  double[distance(round(np.float64(0.2857142857142856)lf), np.float64(0.0)lf) <= np.float64(0.0)lf ? 1 : -1] array4;
  double[distance(round(np.float64(0.8571428571428568)lf), np.float64(1.0)lf) <= np.float64(1e-05)lf ? 1 : -1] array5;
  double[distance(round(np.float64(1.4285714285714284)lf), np.float64(1.0)lf) <= np.float64(1e-05)lf ? 1 : -1] array6;
  double[distance(round(np.float64(2.0)lf), np.float64(2.0)lf) <= np.float64(2e-05)lf ? 1 : -1] array7;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length());
}
