/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.int64(0)l % i64vec3(np.int64(167)l, np.int64(66)l, np.int64(187)l)) => i64vec3(np.int64(0)l, np.int64(0)l, np.int64(0)l)
 * (np.int64(3)l % i64vec3(np.int64(167)l, np.int64(66)l, np.int64(187)l)) => i64vec3(np.int64(3)l, np.int64(3)l, np.int64(3)l)
 * (np.int64(1048576)l % i64vec3(np.int64(167)l, np.int64(66)l, np.int64(187)l)) => i64vec3(np.int64(150)l, np.int64(34)l, np.int64(67)l)
 * (np.int64(4251475)l % i64vec3(np.int64(167)l, np.int64(66)l, np.int64(187)l)) => i64vec3(np.int64(156)l, np.int64(19)l, np.int64(30)l)
 * (np.int64(29852643761)l % i64vec3(np.int64(167)l, np.int64(66)l, np.int64(187)l)) => i64vec3(np.int64(146)l, np.int64(17)l, np.int64(39)l)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal((np.int64(0)l % i64vec3(np.int64(167)l, np.int64(66)l, np.int64(187)l)), i64vec3(np.int64(0)l, np.int64(0)l, np.int64(0)l))) ? 1 : -1] array0;
  float[all(equal((np.int64(3)l % i64vec3(np.int64(167)l, np.int64(66)l, np.int64(187)l)), i64vec3(np.int64(3)l, np.int64(3)l, np.int64(3)l))) ? 1 : -1] array1;
  float[all(equal((np.int64(1048576)l % i64vec3(np.int64(167)l, np.int64(66)l, np.int64(187)l)), i64vec3(np.int64(150)l, np.int64(34)l, np.int64(67)l))) ? 1 : -1] array2;
  float[all(equal((np.int64(4251475)l % i64vec3(np.int64(167)l, np.int64(66)l, np.int64(187)l)), i64vec3(np.int64(156)l, np.int64(19)l, np.int64(30)l))) ? 1 : -1] array3;
  float[all(equal((np.int64(29852643761)l % i64vec3(np.int64(167)l, np.int64(66)l, np.int64(187)l)), i64vec3(np.int64(146)l, np.int64(17)l, np.int64(39)l))) ? 1 : -1] array4;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length());
}
