/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * cross(vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)), vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))) => vec3(np.float32(0.0), np.float32(0.0), np.float32(0.0))
 * cross(vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)), vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))) => vec3(np.float32(-0.9691), np.float32(-1.5137), np.float32(1.3997))
 * cross(vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)), vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))) => vec3(np.float32(0.9691), np.float32(1.5137), np.float32(-1.3997))
 * cross(vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)), vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))) => vec3(np.float32(0.0), np.float32(0.0), np.float32(0.0))
 */
#version 120

void main()
{
  float[distance(cross(vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)), vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))), vec3(np.float32(0.0), np.float32(0.0), np.float32(0.0))) <= np.float32(1.607e-05) ? 1 : -1] array0;
  float[distance(cross(vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)), vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))), vec3(np.float32(-0.9691), np.float32(-1.5137), np.float32(1.3997))) <= np.float32(3.2865315e-05) ? 1 : -1] array1;
  float[distance(cross(vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)), vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))), vec3(np.float32(0.9691), np.float32(1.5137), np.float32(-1.3997))) <= np.float32(3.2865315e-05) ? 1 : -1] array2;
  float[distance(cross(vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)), vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))), vec3(np.float32(0.0), np.float32(0.0), np.float32(0.0))) <= np.float32(6.7213994e-05) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
