/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.float32(0.0) < np.float32(0.0)) => false
 * (np.float32(0.0) < np.float32(-1.33)) => false
 * (np.float32(0.0) < np.float32(0.85)) => true
 * (np.float32(-1.33) < np.float32(0.0)) => true
 * (np.float32(-1.33) < np.float32(-1.33)) => false
 * (np.float32(-1.33) < np.float32(0.85)) => true
 * (np.float32(0.85) < np.float32(0.0)) => false
 * (np.float32(0.85) < np.float32(-1.33)) => false
 * (np.float32(0.85) < np.float32(0.85)) => false
 */
#version 120

void main()
{
  float[(np.float32(0.0) < np.float32(0.0)) == false ? 1 : -1] array0;
  float[(np.float32(0.0) < np.float32(-1.33)) == false ? 1 : -1] array1;
  float[(np.float32(0.0) < np.float32(0.85)) == true ? 1 : -1] array2;
  float[(np.float32(-1.33) < np.float32(0.0)) == true ? 1 : -1] array3;
  float[(np.float32(-1.33) < np.float32(-1.33)) == false ? 1 : -1] array4;
  float[(np.float32(-1.33) < np.float32(0.85)) == true ? 1 : -1] array5;
  float[(np.float32(0.85) < np.float32(0.0)) == false ? 1 : -1] array6;
  float[(np.float32(0.85) < np.float32(-1.33)) == false ? 1 : -1] array7;
  float[(np.float32(0.85) < np.float32(0.85)) == false ? 1 : -1] array8;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length());
}
