/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * equal(uvec3(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u), uvec3(np.uint32(0)u, np.uint32(1)u, np.uint32(2)u)) => bvec3(true, false, false)
 * equal(uvec3(np.uint32(0)u, np.uint32(0)u, np.uint32(1)u), uvec3(np.uint32(5)u, np.uint32(34)u, np.uint32(0)u)) => bvec3(false, false, false)
 * equal(uvec3(np.uint32(1)u, np.uint32(1)u, np.uint32(1)u), uvec3(np.uint32(1)u, np.uint32(2)u, np.uint32(5)u)) => bvec3(true, false, false)
 * equal(uvec3(np.uint32(1)u, np.uint32(2)u, np.uint32(2)u), uvec3(np.uint32(34)u, np.uint32(0)u, np.uint32(1)u)) => bvec3(false, false, false)
 * equal(uvec3(np.uint32(2)u, np.uint32(2)u, np.uint32(2)u), uvec3(np.uint32(2)u, np.uint32(5)u, np.uint32(34)u)) => bvec3(true, false, false)
 * equal(uvec3(np.uint32(5)u, np.uint32(5)u, np.uint32(5)u), uvec3(np.uint32(0)u, np.uint32(1)u, np.uint32(2)u)) => bvec3(false, false, false)
 * equal(uvec3(np.uint32(5)u, np.uint32(5)u, np.uint32(34)u), uvec3(np.uint32(5)u, np.uint32(34)u, np.uint32(0)u)) => bvec3(true, false, false)
 * equal(uvec3(np.uint32(34)u, np.uint32(34)u, np.uint32(34)u), uvec3(np.uint32(1)u, np.uint32(2)u, np.uint32(5)u)) => bvec3(false, false, false)
 * equal(uvec3(np.uint32(34)u, np.uint32(0)u, np.uint32(0)u), uvec3(np.uint32(34)u, np.uint32(0)u, np.uint32(1)u)) => bvec3(true, true, false)
 */
#version 130

void main()
{
  float[equal(uvec3(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u), uvec3(np.uint32(0)u, np.uint32(1)u, np.uint32(2)u))[0] == true && equal(uvec3(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u), uvec3(np.uint32(0)u, np.uint32(1)u, np.uint32(2)u))[1] == false && equal(uvec3(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u), uvec3(np.uint32(0)u, np.uint32(1)u, np.uint32(2)u))[2] == false ? 1 : -1] array0;
  float[equal(uvec3(np.uint32(0)u, np.uint32(0)u, np.uint32(1)u), uvec3(np.uint32(5)u, np.uint32(34)u, np.uint32(0)u))[0] == false && equal(uvec3(np.uint32(0)u, np.uint32(0)u, np.uint32(1)u), uvec3(np.uint32(5)u, np.uint32(34)u, np.uint32(0)u))[1] == false && equal(uvec3(np.uint32(0)u, np.uint32(0)u, np.uint32(1)u), uvec3(np.uint32(5)u, np.uint32(34)u, np.uint32(0)u))[2] == false ? 1 : -1] array1;
  float[equal(uvec3(np.uint32(1)u, np.uint32(1)u, np.uint32(1)u), uvec3(np.uint32(1)u, np.uint32(2)u, np.uint32(5)u))[0] == true && equal(uvec3(np.uint32(1)u, np.uint32(1)u, np.uint32(1)u), uvec3(np.uint32(1)u, np.uint32(2)u, np.uint32(5)u))[1] == false && equal(uvec3(np.uint32(1)u, np.uint32(1)u, np.uint32(1)u), uvec3(np.uint32(1)u, np.uint32(2)u, np.uint32(5)u))[2] == false ? 1 : -1] array2;
  float[equal(uvec3(np.uint32(1)u, np.uint32(2)u, np.uint32(2)u), uvec3(np.uint32(34)u, np.uint32(0)u, np.uint32(1)u))[0] == false && equal(uvec3(np.uint32(1)u, np.uint32(2)u, np.uint32(2)u), uvec3(np.uint32(34)u, np.uint32(0)u, np.uint32(1)u))[1] == false && equal(uvec3(np.uint32(1)u, np.uint32(2)u, np.uint32(2)u), uvec3(np.uint32(34)u, np.uint32(0)u, np.uint32(1)u))[2] == false ? 1 : -1] array3;
  float[equal(uvec3(np.uint32(2)u, np.uint32(2)u, np.uint32(2)u), uvec3(np.uint32(2)u, np.uint32(5)u, np.uint32(34)u))[0] == true && equal(uvec3(np.uint32(2)u, np.uint32(2)u, np.uint32(2)u), uvec3(np.uint32(2)u, np.uint32(5)u, np.uint32(34)u))[1] == false && equal(uvec3(np.uint32(2)u, np.uint32(2)u, np.uint32(2)u), uvec3(np.uint32(2)u, np.uint32(5)u, np.uint32(34)u))[2] == false ? 1 : -1] array4;
  float[equal(uvec3(np.uint32(5)u, np.uint32(5)u, np.uint32(5)u), uvec3(np.uint32(0)u, np.uint32(1)u, np.uint32(2)u))[0] == false && equal(uvec3(np.uint32(5)u, np.uint32(5)u, np.uint32(5)u), uvec3(np.uint32(0)u, np.uint32(1)u, np.uint32(2)u))[1] == false && equal(uvec3(np.uint32(5)u, np.uint32(5)u, np.uint32(5)u), uvec3(np.uint32(0)u, np.uint32(1)u, np.uint32(2)u))[2] == false ? 1 : -1] array5;
  float[equal(uvec3(np.uint32(5)u, np.uint32(5)u, np.uint32(34)u), uvec3(np.uint32(5)u, np.uint32(34)u, np.uint32(0)u))[0] == true && equal(uvec3(np.uint32(5)u, np.uint32(5)u, np.uint32(34)u), uvec3(np.uint32(5)u, np.uint32(34)u, np.uint32(0)u))[1] == false && equal(uvec3(np.uint32(5)u, np.uint32(5)u, np.uint32(34)u), uvec3(np.uint32(5)u, np.uint32(34)u, np.uint32(0)u))[2] == false ? 1 : -1] array6;
  float[equal(uvec3(np.uint32(34)u, np.uint32(34)u, np.uint32(34)u), uvec3(np.uint32(1)u, np.uint32(2)u, np.uint32(5)u))[0] == false && equal(uvec3(np.uint32(34)u, np.uint32(34)u, np.uint32(34)u), uvec3(np.uint32(1)u, np.uint32(2)u, np.uint32(5)u))[1] == false && equal(uvec3(np.uint32(34)u, np.uint32(34)u, np.uint32(34)u), uvec3(np.uint32(1)u, np.uint32(2)u, np.uint32(5)u))[2] == false ? 1 : -1] array7;
  float[equal(uvec3(np.uint32(34)u, np.uint32(0)u, np.uint32(0)u), uvec3(np.uint32(34)u, np.uint32(0)u, np.uint32(1)u))[0] == true && equal(uvec3(np.uint32(34)u, np.uint32(0)u, np.uint32(0)u), uvec3(np.uint32(34)u, np.uint32(0)u, np.uint32(1)u))[1] == true && equal(uvec3(np.uint32(34)u, np.uint32(0)u, np.uint32(0)u), uvec3(np.uint32(34)u, np.uint32(0)u, np.uint32(1)u))[2] == false ? 1 : -1] array8;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length());
}
