/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.float32(0.0) + vec2(np.float32(-0.1), np.float32(-1.2))) => vec2(np.float32(-0.1), np.float32(-1.2))
 * (np.float32(0.0) + vec2(np.float32(-0.42), np.float32(0.48))) => vec2(np.float32(-0.42), np.float32(0.48))
 * (np.float32(-1.33) + vec2(np.float32(-0.1), np.float32(-1.2))) => vec2(np.float32(-1.4300001), np.float32(-2.5300002))
 * (np.float32(-1.33) + vec2(np.float32(-0.42), np.float32(0.48))) => vec2(np.float32(-1.75), np.float32(-0.85))
 * (np.float32(0.85) + vec2(np.float32(-0.1), np.float32(-1.2))) => vec2(np.float32(0.75), np.float32(-0.35000002))
 * (np.float32(0.85) + vec2(np.float32(-0.42), np.float32(0.48))) => vec2(np.float32(0.43000004), np.float32(1.33))
 */
#version 150

void main()
{
  float[distance((np.float32(0.0) + vec2(np.float32(-0.1), np.float32(-1.2))), vec2(np.float32(-0.1), np.float32(-1.2))) <= np.float32(1.2041595e-05) ? 1 : -1] array0;
  float[distance((np.float32(0.0) + vec2(np.float32(-0.42), np.float32(0.48))), vec2(np.float32(-0.42), np.float32(0.48))) <= np.float32(6.378087e-06) ? 1 : -1] array1;
  float[distance((np.float32(-1.33) + vec2(np.float32(-0.1), np.float32(-1.2))), vec2(np.float32(-1.4300001), np.float32(-2.5300002))) <= np.float32(2.9061659e-05) ? 1 : -1] array2;
  float[distance((np.float32(-1.33) + vec2(np.float32(-0.42), np.float32(0.48))), vec2(np.float32(-1.75), np.float32(-0.85))) <= np.float32(1.9455078e-05) ? 1 : -1] array3;
  float[distance((np.float32(0.85) + vec2(np.float32(-0.1), np.float32(-1.2))), vec2(np.float32(0.75), np.float32(-0.35000002))) <= np.float32(8.276473e-06) ? 1 : -1] array4;
  float[distance((np.float32(0.85) + vec2(np.float32(-0.42), np.float32(0.48))), vec2(np.float32(0.43000004), np.float32(1.33))) <= np.float32(1.3977839e-05) ? 1 : -1] array5;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length());
}
