/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (mat3(np.float32(-1.11), np.float32(0.13), np.float32(0.56), np.float32(1.67), np.float32(1.09), np.float32(0.95), np.float32(-0.41), np.float32(-0.02), np.float32(0.24)) == mat3(np.float32(-1.11), np.float32(0.13), np.float32(0.56), np.float32(1.67), np.float32(1.09), np.float32(0.95), np.float32(-0.41), np.float32(-0.02), np.float32(0.24))) => true
 * (mat3(np.float32(-1.11), np.float32(0.13), np.float32(0.56), np.float32(1.67), np.float32(1.09), np.float32(0.95), np.float32(-0.41), np.float32(-0.02), np.float32(0.24)) == mat3(np.float32(-1.69), np.float32(-1.09), np.float32(-1.53), np.float32(-0.46), np.float32(1.75), np.float32(-0.7), np.float32(-0.18), np.float32(2.0), np.float32(-1.47))) => false
 * (mat3(np.float32(-1.69), np.float32(-1.09), np.float32(-1.53), np.float32(-0.46), np.float32(1.75), np.float32(-0.7), np.float32(-0.18), np.float32(2.0), np.float32(-1.47)) == mat3(np.float32(-1.11), np.float32(0.13), np.float32(0.56), np.float32(1.67), np.float32(1.09), np.float32(0.95), np.float32(-0.41), np.float32(-0.02), np.float32(0.24))) => false
 * (mat3(np.float32(-1.69), np.float32(-1.09), np.float32(-1.53), np.float32(-0.46), np.float32(1.75), np.float32(-0.7), np.float32(-0.18), np.float32(2.0), np.float32(-1.47)) == mat3(np.float32(-1.69), np.float32(-1.09), np.float32(-1.53), np.float32(-0.46), np.float32(1.75), np.float32(-0.7), np.float32(-0.18), np.float32(2.0), np.float32(-1.47))) => true
 */
#version 150

void main()
{
  float[(mat3(np.float32(-1.11), np.float32(0.13), np.float32(0.56), np.float32(1.67), np.float32(1.09), np.float32(0.95), np.float32(-0.41), np.float32(-0.02), np.float32(0.24)) == mat3(np.float32(-1.11), np.float32(0.13), np.float32(0.56), np.float32(1.67), np.float32(1.09), np.float32(0.95), np.float32(-0.41), np.float32(-0.02), np.float32(0.24))) == true ? 1 : -1] array0;
  float[(mat3(np.float32(-1.11), np.float32(0.13), np.float32(0.56), np.float32(1.67), np.float32(1.09), np.float32(0.95), np.float32(-0.41), np.float32(-0.02), np.float32(0.24)) == mat3(np.float32(-1.69), np.float32(-1.09), np.float32(-1.53), np.float32(-0.46), np.float32(1.75), np.float32(-0.7), np.float32(-0.18), np.float32(2.0), np.float32(-1.47))) == false ? 1 : -1] array1;
  float[(mat3(np.float32(-1.69), np.float32(-1.09), np.float32(-1.53), np.float32(-0.46), np.float32(1.75), np.float32(-0.7), np.float32(-0.18), np.float32(2.0), np.float32(-1.47)) == mat3(np.float32(-1.11), np.float32(0.13), np.float32(0.56), np.float32(1.67), np.float32(1.09), np.float32(0.95), np.float32(-0.41), np.float32(-0.02), np.float32(0.24))) == false ? 1 : -1] array2;
  float[(mat3(np.float32(-1.69), np.float32(-1.09), np.float32(-1.53), np.float32(-0.46), np.float32(1.75), np.float32(-0.7), np.float32(-0.18), np.float32(2.0), np.float32(-1.47)) == mat3(np.float32(-1.69), np.float32(-1.09), np.float32(-1.53), np.float32(-0.46), np.float32(1.75), np.float32(-0.7), np.float32(-0.18), np.float32(2.0), np.float32(-1.47))) == true ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
