/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec3(np.int32(22), np.int32(-23), np.int32(4)) >> np.int32(0)) => ivec3(np.int32(22), np.int32(-23), np.int32(4))
 * (ivec3(np.int32(22), np.int32(-23), np.int32(4)) >> np.int32(1)) => ivec3(np.int32(11), np.int32(-12), np.int32(2))
 * (ivec3(np.int32(22), np.int32(-23), np.int32(4)) >> np.int32(2)) => ivec3(np.int32(5), np.int32(-6), np.int32(1))
 * (ivec3(np.int32(22), np.int32(-23), np.int32(4)) >> np.int32(5)) => ivec3(np.int32(0), np.int32(-1), np.int32(0))
 * (ivec3(np.int32(22), np.int32(-23), np.int32(4)) >> np.int32(25)) => ivec3(np.int32(0), np.int32(-1), np.int32(0))
 * (ivec3(np.int32(22), np.int32(-23), np.int32(4)) >> np.int32(31)) => ivec3(np.int32(0), np.int32(-1), np.int32(0))
 * (ivec3(np.int32(22), np.int32(23), np.int32(4)) >> np.int32(0)) => ivec3(np.int32(22), np.int32(23), np.int32(4))
 * (ivec3(np.int32(22), np.int32(23), np.int32(4)) >> np.int32(1)) => ivec3(np.int32(11), np.int32(11), np.int32(2))
 * (ivec3(np.int32(22), np.int32(23), np.int32(4)) >> np.int32(2)) => ivec3(np.int32(5), np.int32(5), np.int32(1))
 * (ivec3(np.int32(22), np.int32(23), np.int32(4)) >> np.int32(5)) => ivec3(np.int32(0), np.int32(0), np.int32(0))
 * (ivec3(np.int32(22), np.int32(23), np.int32(4)) >> np.int32(25)) => ivec3(np.int32(0), np.int32(0), np.int32(0))
 * (ivec3(np.int32(22), np.int32(23), np.int32(4)) >> np.int32(31)) => ivec3(np.int32(0), np.int32(0), np.int32(0))
 * (ivec3(np.int32(-19), np.int32(1), np.int32(-13)) >> np.int32(0)) => ivec3(np.int32(-19), np.int32(1), np.int32(-13))
 * (ivec3(np.int32(-19), np.int32(1), np.int32(-13)) >> np.int32(1)) => ivec3(np.int32(-10), np.int32(0), np.int32(-7))
 * (ivec3(np.int32(-19), np.int32(1), np.int32(-13)) >> np.int32(2)) => ivec3(np.int32(-5), np.int32(0), np.int32(-4))
 * (ivec3(np.int32(-19), np.int32(1), np.int32(-13)) >> np.int32(5)) => ivec3(np.int32(-1), np.int32(0), np.int32(-1))
 * (ivec3(np.int32(-19), np.int32(1), np.int32(-13)) >> np.int32(25)) => ivec3(np.int32(-1), np.int32(0), np.int32(-1))
 * (ivec3(np.int32(-19), np.int32(1), np.int32(-13)) >> np.int32(31)) => ivec3(np.int32(-1), np.int32(0), np.int32(-1))
 * (ivec3(np.int32(19), np.int32(1), np.int32(13)) >> np.int32(0)) => ivec3(np.int32(19), np.int32(1), np.int32(13))
 * (ivec3(np.int32(19), np.int32(1), np.int32(13)) >> np.int32(1)) => ivec3(np.int32(9), np.int32(0), np.int32(6))
 * (ivec3(np.int32(19), np.int32(1), np.int32(13)) >> np.int32(2)) => ivec3(np.int32(4), np.int32(0), np.int32(3))
 * (ivec3(np.int32(19), np.int32(1), np.int32(13)) >> np.int32(5)) => ivec3(np.int32(0), np.int32(0), np.int32(0))
 * (ivec3(np.int32(19), np.int32(1), np.int32(13)) >> np.int32(25)) => ivec3(np.int32(0), np.int32(0), np.int32(0))
 * (ivec3(np.int32(19), np.int32(1), np.int32(13)) >> np.int32(31)) => ivec3(np.int32(0), np.int32(0), np.int32(0))
 */
#version 150

void main()
{
  float[all(equal((ivec3(np.int32(22), np.int32(-23), np.int32(4)) >> np.int32(0)), ivec3(np.int32(22), np.int32(-23), np.int32(4)))) ? 1 : -1] array0;
  float[all(equal((ivec3(np.int32(22), np.int32(-23), np.int32(4)) >> np.int32(1)), ivec3(np.int32(11), np.int32(-12), np.int32(2)))) ? 1 : -1] array1;
  float[all(equal((ivec3(np.int32(22), np.int32(-23), np.int32(4)) >> np.int32(2)), ivec3(np.int32(5), np.int32(-6), np.int32(1)))) ? 1 : -1] array2;
  float[all(equal((ivec3(np.int32(22), np.int32(-23), np.int32(4)) >> np.int32(5)), ivec3(np.int32(0), np.int32(-1), np.int32(0)))) ? 1 : -1] array3;
  float[all(equal((ivec3(np.int32(22), np.int32(-23), np.int32(4)) >> np.int32(25)), ivec3(np.int32(0), np.int32(-1), np.int32(0)))) ? 1 : -1] array4;
  float[all(equal((ivec3(np.int32(22), np.int32(-23), np.int32(4)) >> np.int32(31)), ivec3(np.int32(0), np.int32(-1), np.int32(0)))) ? 1 : -1] array5;
  float[all(equal((ivec3(np.int32(22), np.int32(23), np.int32(4)) >> np.int32(0)), ivec3(np.int32(22), np.int32(23), np.int32(4)))) ? 1 : -1] array6;
  float[all(equal((ivec3(np.int32(22), np.int32(23), np.int32(4)) >> np.int32(1)), ivec3(np.int32(11), np.int32(11), np.int32(2)))) ? 1 : -1] array7;
  float[all(equal((ivec3(np.int32(22), np.int32(23), np.int32(4)) >> np.int32(2)), ivec3(np.int32(5), np.int32(5), np.int32(1)))) ? 1 : -1] array8;
  float[all(equal((ivec3(np.int32(22), np.int32(23), np.int32(4)) >> np.int32(5)), ivec3(np.int32(0), np.int32(0), np.int32(0)))) ? 1 : -1] array9;
  float[all(equal((ivec3(np.int32(22), np.int32(23), np.int32(4)) >> np.int32(25)), ivec3(np.int32(0), np.int32(0), np.int32(0)))) ? 1 : -1] array10;
  float[all(equal((ivec3(np.int32(22), np.int32(23), np.int32(4)) >> np.int32(31)), ivec3(np.int32(0), np.int32(0), np.int32(0)))) ? 1 : -1] array11;
  float[all(equal((ivec3(np.int32(-19), np.int32(1), np.int32(-13)) >> np.int32(0)), ivec3(np.int32(-19), np.int32(1), np.int32(-13)))) ? 1 : -1] array12;
  float[all(equal((ivec3(np.int32(-19), np.int32(1), np.int32(-13)) >> np.int32(1)), ivec3(np.int32(-10), np.int32(0), np.int32(-7)))) ? 1 : -1] array13;
  float[all(equal((ivec3(np.int32(-19), np.int32(1), np.int32(-13)) >> np.int32(2)), ivec3(np.int32(-5), np.int32(0), np.int32(-4)))) ? 1 : -1] array14;
  float[all(equal((ivec3(np.int32(-19), np.int32(1), np.int32(-13)) >> np.int32(5)), ivec3(np.int32(-1), np.int32(0), np.int32(-1)))) ? 1 : -1] array15;
  float[all(equal((ivec3(np.int32(-19), np.int32(1), np.int32(-13)) >> np.int32(25)), ivec3(np.int32(-1), np.int32(0), np.int32(-1)))) ? 1 : -1] array16;
  float[all(equal((ivec3(np.int32(-19), np.int32(1), np.int32(-13)) >> np.int32(31)), ivec3(np.int32(-1), np.int32(0), np.int32(-1)))) ? 1 : -1] array17;
  float[all(equal((ivec3(np.int32(19), np.int32(1), np.int32(13)) >> np.int32(0)), ivec3(np.int32(19), np.int32(1), np.int32(13)))) ? 1 : -1] array18;
  float[all(equal((ivec3(np.int32(19), np.int32(1), np.int32(13)) >> np.int32(1)), ivec3(np.int32(9), np.int32(0), np.int32(6)))) ? 1 : -1] array19;
  float[all(equal((ivec3(np.int32(19), np.int32(1), np.int32(13)) >> np.int32(2)), ivec3(np.int32(4), np.int32(0), np.int32(3)))) ? 1 : -1] array20;
  float[all(equal((ivec3(np.int32(19), np.int32(1), np.int32(13)) >> np.int32(5)), ivec3(np.int32(0), np.int32(0), np.int32(0)))) ? 1 : -1] array21;
  float[all(equal((ivec3(np.int32(19), np.int32(1), np.int32(13)) >> np.int32(25)), ivec3(np.int32(0), np.int32(0), np.int32(0)))) ? 1 : -1] array22;
  float[all(equal((ivec3(np.int32(19), np.int32(1), np.int32(13)) >> np.int32(31)), ivec3(np.int32(0), np.int32(0), np.int32(0)))) ? 1 : -1] array23;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length() + array20.length() + array21.length() + array22.length() + array23.length());
}
