/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * floor(np.float64(-2.0)lf) => np.float64(-2.0)lf
 * floor(np.float64(-0.6666666666666667)lf) => np.float64(-1.0)lf
 * floor(np.float64(0.6666666666666665)lf) => np.float64(0.0)lf
 * floor(np.float64(2.0)lf) => np.float64(2.0)lf
 */
#version 400

void main()
{
  double[distance(floor(np.float64(-2.0)lf), np.float64(-2.0)lf) <= np.float64(2e-05)lf ? 1 : -1] array0;
  double[distance(floor(np.float64(-0.6666666666666667)lf), np.float64(-1.0)lf) <= np.float64(1e-05)lf ? 1 : -1] array1;
  double[distance(floor(np.float64(0.6666666666666665)lf), np.float64(0.0)lf) <= np.float64(0.0)lf ? 1 : -1] array2;
  double[distance(floor(np.float64(2.0)lf), np.float64(2.0)lf) <= np.float64(2e-05)lf ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
