/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) - dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf)) => dmat4x3(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)
 * (dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) - dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf)) => dmat4x3(np.float64(0.19999999999999996)lf, np.float64(0.03)lf, np.float64(-0.4600000000000002)lf, np.float64(-1.23)lf, np.float64(-1.09)lf, np.float64(-1.1)lf, np.float64(-3.38)lf, np.float64(3.29)lf, np.float64(0.1499999999999999)lf, np.float64(0.93)lf, np.float64(3.27)lf, np.float64(-1.57)lf)
 * (dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) - dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf)) => dmat4x3(np.float64(-0.19999999999999996)lf, np.float64(-0.03)lf, np.float64(0.4600000000000002)lf, np.float64(1.23)lf, np.float64(1.09)lf, np.float64(1.1)lf, np.float64(3.38)lf, np.float64(-3.29)lf, np.float64(-0.1499999999999999)lf, np.float64(-0.93)lf, np.float64(-3.27)lf, np.float64(1.57)lf)
 * (dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) - dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf)) => dmat4x3(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[(distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) - dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[0], dvec3(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) - dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[0], dvec3(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf))) + (distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) - dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[1], dvec3(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) - dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[1], dvec3(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf))) + (distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) - dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[2], dvec3(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) - dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[2], dvec3(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf))) + (distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) - dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[3], dvec3(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) - dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[3], dvec3(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf))) <= np.float64(0.0)lf ? 1 : -1] array0;
  double[(distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) - dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[0], dvec3(np.float64(0.19999999999999996)lf, np.float64(0.03)lf, np.float64(-0.4600000000000002)lf)) * distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) - dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[0], dvec3(np.float64(0.19999999999999996)lf, np.float64(0.03)lf, np.float64(-0.4600000000000002)lf))) + (distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) - dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[1], dvec3(np.float64(-1.23)lf, np.float64(-1.09)lf, np.float64(-1.1)lf)) * distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) - dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[1], dvec3(np.float64(-1.23)lf, np.float64(-1.09)lf, np.float64(-1.1)lf))) + (distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) - dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[2], dvec3(np.float64(-3.38)lf, np.float64(3.29)lf, np.float64(0.1499999999999999)lf)) * distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) - dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[2], dvec3(np.float64(-3.38)lf, np.float64(3.29)lf, np.float64(0.1499999999999999)lf))) + (distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) - dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[3], dvec3(np.float64(0.93)lf, np.float64(3.27)lf, np.float64(-1.57)lf)) * distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) - dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[3], dvec3(np.float64(0.93)lf, np.float64(3.27)lf, np.float64(-1.57)lf))) <= np.float64(4.04572e-09)lf ? 1 : -1] array1;
  double[(distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) - dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[0], dvec3(np.float64(-0.19999999999999996)lf, np.float64(-0.03)lf, np.float64(0.4600000000000002)lf)) * distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) - dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[0], dvec3(np.float64(-0.19999999999999996)lf, np.float64(-0.03)lf, np.float64(0.4600000000000002)lf))) + (distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) - dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[1], dvec3(np.float64(1.23)lf, np.float64(1.09)lf, np.float64(1.1)lf)) * distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) - dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[1], dvec3(np.float64(1.23)lf, np.float64(1.09)lf, np.float64(1.1)lf))) + (distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) - dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[2], dvec3(np.float64(3.38)lf, np.float64(-3.29)lf, np.float64(-0.1499999999999999)lf)) * distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) - dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[2], dvec3(np.float64(3.38)lf, np.float64(-3.29)lf, np.float64(-0.1499999999999999)lf))) + (distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) - dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[3], dvec3(np.float64(-0.93)lf, np.float64(-3.27)lf, np.float64(1.57)lf)) * distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) - dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[3], dvec3(np.float64(-0.93)lf, np.float64(-3.27)lf, np.float64(1.57)lf))) <= np.float64(4.04572e-09)lf ? 1 : -1] array2;
  double[(distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) - dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[0], dvec3(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) - dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[0], dvec3(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf))) + (distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) - dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[1], dvec3(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) - dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[1], dvec3(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf))) + (distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) - dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[2], dvec3(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) - dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[2], dvec3(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf))) + (distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) - dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[3], dvec3(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) - dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[3], dvec3(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf))) <= np.float64(0.0)lf ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
